某些功能并不适用于全部类型的 Horizon Client

在计划要将哪些显示协议和功能提供给最终用户时,可根据下面的信息来确定哪些客户端操作系统支持这些功能。

表 1. 基于 Windows 的 Horizon Client 系统支持的远程桌面功能

功能

Windows XP 桌面(View Agent 6.0.2 和更低版本)

Windows Vista 桌面(View Agent 6.0.2 和更低版本)

Windows 7 桌面

Windows 8.x 桌面

Windows 10 桌面

Windows Server 2008/2012 R2 或 Windows Server 2016 桌面

USB 重定向

受限

受限

X

X

X

X

客户端驱动器重定向

X

X

X

X

实时音频-视频 (RTAV)

受限

受限

X

X

X

X

扫描仪重定向

受限

X

X

X

X

串行端口重定向

X

X

X

X

VMware Blast 显示协议

X

X

X

X

RDP 显示协议

受限

受限

X

X

X

X

PCoIP 显示协议

受限

受限

X

X

X

X

用户配置管理

受限

受限

X

X

Wyse MMR

受限

受限

Windows Media MMR

X

X

X

基于位置的打印

受限

受限

X

X

X

X

虚拟打印

受限

受限

X

X

X

X

智能卡

受限

受限

X

X

X

X

RSA SecurID 或 RADIUS

受限

受限

X

X

X

X

单点登录

受限

受限

X

X

X

X

多显示器

受限

受限

X

X

X

X

Windows 10 桌面需要使用 View Agent 6.2 或更高版本或者 Horizon Agent 7.0 或更高版本。Windows Server 2012 R2 桌面需要使用 View Agent 6.1 或更高版本或者 Horizon Agent 7.0 或更高版本。

重要:

View Agent 6.1 和更高版本不支持 Windows XP 和 Windows Vista 桌面。View Agent 6.0.2 是支持这些客户机操作系统的上一个 View 版本。与 Microsoft 签订有关 Windows XP 和 Vista 的扩展支持协议以及与 VMware 签订有关这些客户机操作系统的扩展支持协议的客户可以使用 View 连接服务器 6.1 部署其 Windows XP 和 Vista 桌面的 View Agent 6.0.2 版本。

有关支持的各个客户端操作系统的版本及服务包信息,请参阅Windows 客户端的系统要求

RDS 主机上发布的桌面的功能支持表

RDS 主机是安装了 Windows 远程桌面服务以及 View Agent 或 Horizon Agent 的服务器计算机。多个用户可以同时在一个 RDS 主机上拥有桌面会话。RDS 主机可以是物理机或虚拟机。

注:

下表只包含对应于支持的功能的行。在文字指定 View Agent 最低版本的地方,文字“和更高版本”表示包含 Horizon Agent 7.0.x 和更高版本。

表 2. 安装了 View Agent 6.0.x 或更高版本或者 Horizon Agent 7.0.x 或更高版本的 RDS 主机支持的功能

功能

Windows Server 2008 R2 RDS 主机

Windows Server 2012 RDS 主机

Windows Server 2016 RDS 主机

RSA SecurID 或 RADIUS

X

X

Horizon Agent 7.0.2 和更高版本

智能卡

View Agent 6.1 和更高版本

View Agent 6.1 和更高版本

Horizon Agent 7.0.2 和更高版本

单点登录

X

X

Horizon Agent 7.0.2 和更高版本

RDP 显示协议(适用于桌面客户端)

X

X

Horizon Agent 7.0.2 和更高版本

PCoIP 显示协议

X

X

Horizon Agent 7.0.2 和更高版本

VMware Blast 显示协议

Horizon Agent 7.0 和更高版本

Horizon Agent 7.0 和更高版本

Horizon Agent 7.0.2 和更高版本

HTML Access

View Agent 6.0.2 和更高版本(仅限虚拟机)

View Agent 6.0.2 和更高版本(仅限虚拟机)

Horizon Agent 7.0.2 和更高版本

Windows Media MMR

View Agent 6.1.1 和更高版本

View Agent 6.1.1 和更高版本

Horizon Agent 7.0.2 和更高版本

USB 重定向(仅限 USB 存储设备)

View Agent 6.1 和更高版本

Horizon Agent 7.0.2 和更高版本

客户端驱动器重定向

View Agent 6.1.1 和更高版本

View Agent 6.1.1 和更高版本

Horizon Agent 7.0.2 和更高版本

虚拟打印(适用于桌面客户端)

View Agent 6.0.1 和更高版本(仅限虚拟机)

View Agent 6.0.1 和更高版本(仅限虚拟机)

Horizon Agent 7.0.2 和更高版本(仅限虚拟机)

扫描仪重定向

View Agent 6.0.2 和更高版本

View Agent 6.0.2 和更高版本

Horizon Agent 7.0.2 和更高版本

基于位置的打印

View Agent 6.0.1 和更高版本(仅限虚拟机)

View Agent 6.0.1 和更高版本(仅限虚拟机)

Horizon Agent 7.0.2 和更高版本(仅限虚拟机)

多个显示器(适用于桌面客户端)

X

X

Horizon Agent 7.0.2 和更高版本

Unity Touch(适用于移动和 Chrome OS 客户端)

X

X

Horizon Agent 7.0.2 和更高版本

实时音频-视频 (RTAV)

Horizon Agent 7.0.2 和更高版本

Horizon Agent 7.0.2 和更高版本

Horizon Agent 7.0.3 和更高版本

有关支持的各个客户机操作系统的版本或服务包的信息,请参阅《View 安装指南》文档。

特定功能的限制

基于 Windows 的客户端支持的功能存在以下限制。

表 3. 特定功能的要求

功能

要求

Windows Media MMR

需要使用 View Agent 6.0.2 或更高版本。要将 Windows Media MMR 功能用于 RDS 桌面,您必须具有 View Agent 6.1.1 或更高版本或者 Horizon Agent 7.0 或更高版本。

如果使用 VMware Blast 显示协议,您必须具有 Horizon Agent 7.0 或更高版本。

串行端口重定向

需要使用 View Agent 6.1.1 或更高版本。对于 Windows 10,需要使用 View Agent 6.2 或更高版本或者 Horizon Agent 7.0 或更高版本。

如果使用 VMware Blast 显示协议,您必须具有 Horizon Agent 7.0 或更高版本。

适用于 Windows Server 2008 R2 桌面、RDS 桌面(在虚拟机 RDS 主机上)以及远程应用程序的虚拟打印和基于位置的打印

需要使用 Horizon 6.0.1(包含 View)或更高版本。

如果将 VMware Blast 显示协议用于该功能,您必须具有 Horizon Agent 7.0 或更高版本。

扫描仪重定向

需要使用 View Agent 6.0.2 或更高版本。需要 PCoIP 显示协议。对于 Windows 10,需要使用 View Agent 6.2 或更高版本或者 Horizon Agent 7.0 或更高版本。

如果使用 VMware Blast 显示协议,您必须具有 Horizon Agent 7.0 或更高版本。

客户端驱动器重定向

对于单用户虚拟机桌面以及在 RDS 主机上发布的桌面,需要使用 View Agent 6.1.1 或更高版本或者 Horizon Agent 7.0 或更高版本。

如果使用 VMware Blast 显示协议,您必须具有 Horizon Agent 7.0 或更高版本。

注:

除了访问远程桌面外,您还可以使用 Horizon Client 安全访问基于 Windows 的远程应用程序。在 Horizon Client 中选择一个应用程序时,会在本地客户端设备上打开一个该应用程序的窗口,而且应用程序的外观和行为就像安装在本地设备上一样。

只有在连接到连接服务器 6.0 或更高版本时,才能使用远程应用程序。有关 RDS 主机(该主机提供已发布的应用程序和已发布的桌面)支持哪些操作系统的信息,请参阅《View 安装指南》文档。

有关上述功能及其限制的说明,请参阅View 架构规划指南》文档。

Linux 桌面的功能支持

如果您拥有 View Agent 6.1.1 或更高版本或者 Horizon Agent 7.0 或更高版本,则支持某些 Linux 客户机操作系统。有关支持的 Linux 操作系统列表以及支持的功能的信息,请参阅《设置 Horizon 6 for Linux 桌面》《在 Horizon 7 中设置虚拟桌面》